ChannelAdam.Soap 3.1.0

.NET 5.0 .NET Standard 2.0
Install-Package ChannelAdam.Soap -Version 3.1.0
dotnet add package ChannelAdam.Soap --version 3.1.0
<PackageReference Include="ChannelAdam.Soap" Version="3.1.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add ChannelAdam.Soap --version 3.1.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: ChannelAdam.Soap, 3.1.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install ChannelAdam.Soap as a Cake Addin
#addin nuget:?package=ChannelAdam.Soap&version=3.1.0

// Install ChannelAdam.Soap as a Cake Tool
#tool nuget:?package=ChannelAdam.Soap&version=3.1.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

A .NET library that provides a fluent API for building SOAP 1.1 and SOAP 1.2 messages.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.
  • net5.0

    • No dependencies.
  • net6.0

    • No dependencies.

NuGet packages (2)

Showing the top 2 NuGet packages that depend on ChannelAdam.Soap:

Package Downloads
ChannelAdam.Nancy.Soap

DEPRECATED - A .NET library of helpers and extensions for working with SOAP payloads in the Nancy web framework.

Tools.Utilities

Contains icon, read/write a config file, logger. Some graphical tools but dev still in progress on it

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.1.0 323 2/5/2022
3.0.0 1,067 12/31/2020
2.0.3 28,323 7/15/2018
2.0.0 3,119 6/24/2018
1.1.0 2,639 4/14/2017
1.0.3 10,482 2/24/2017
1.0.2 795 12/14/2016
1.0.1 1,181 11/3/2016

3.1.0 - Added .NET 6.0 target, added support for custom namespace prefix of SOAP envelope (initial contribution from @mubaarakhassan).
3.0.0 - Multitarget .NET Standard 2.0 and .NET 5.0, enabled nullable reference types.
2.0.3 - Fixed memory leak with usage of leaky XmlSerializer constructor - thank you ejohnsonTKTNET
2.0.0 - Target .NET Standard 2.0, no strong name signing. Removed 4.0 and PCL targets.
1.1.0 - Added overloads to ISoap1?Header.AddBlock() similar to ISoap1?Body.AddEntry()
1.0.3 - Added build of a non-portable .NET 4.0 target. Portable requires .NET 4.0.3 as a minimum.
1.0.2 - Fixed usage of multiple dispose pattern.
1.0.1 - Fixed namespace of SoapBuilder.
1.0.0 - Initial release.